/*
 * Copyright (C) 2003-2004, 2012 Clemens Fuchslocher
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 */

#include "SceneGraphVisitor.h"
#include "Group.h"

#include <cstdlib>


namespace nsSceneGraph {

Group::Group(void) : GraphNode(GROUP, "GROUP")
{
	DEBUG_MESSAGE("Group::Group()")
}


Group::~Group(void)
{
	DEBUG_MESSAGE("Group::~Group()")
}


int Group::action(SceneGraphVisitor *visitor)
{
	DEBUG_MESSAGE("Group::accept()")

	visitor->visit(this);

	GraphNode::action(visitor);

	return SG_OK;
}


GraphNode *Group::duplicate(void)
{
	std::cerr << __FILE__ << '[' << __LINE__ << "]: Group::duplicate() isn't implemented yet." << std::endl;
	std::exit(SG_KO);

	return NULL;
}


}

